Skip to main content

Service Credential Actions

https://api.app.wnology.io/applications/APPLICATION_ID/credentials/CREDENTIAL_ID

Below are the various requests that can be performed against the Service Credential resource, as well as the expected parameters and the potential responses.

Delete​

Deletes a credential

Method And Url ​

DELETE https://api.app.wnology.io/applications/APPLICATION_ID/credentials/CREDENTIAL_ID

Authentication ​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, credential.*, or credential.delete.

Request Path Components ​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
CREDENTIAL_IDID associated with the credential575ec76c7ae143cd83dc4a96

Request Headers ​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example ​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.app.wnology.io/applications/APPLICATION_ID/credentials/CREDENTIAL_ID

Successful Responses ​

CodeTypeDescription
200SuccessIf credential was successfully deleted

Error Responses ​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if credential was not found

Get​

Retrieves information on a credential

Method And Url ​

GET https://api.app.wnology.io/applications/APPLICATION_ID/credentials/CREDENTIAL_ID

Authentication ​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, credential.*, or credential.get.

Request Path Components ​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
CREDENTIAL_IDID associated with the credential575ec76c7ae143cd83dc4a96

Request Headers ​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example ​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/credentials/CREDENTIAL_ID

Successful Responses ​

CodeTypeDescription
200Credentialcredential information

Error Responses ​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if credential was not found

Linked Resources​

Retrieves information on resources linked to a credential

Method And Url ​

GET https://api.app.wnology.io/applications/APPLICATION_ID/credentials/CREDENTIAL_ID/linkedResources

Authentication ​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, credential.*, or credential.linkedResources.

Request Path Components ​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
CREDENTIAL_IDID associated with the credential575ec76c7ae143cd83dc4a96

Request Query Parameters ​

NameRequiredDescriptionDefaultExample
includeCustomNodesNIf the result of the request should also include the details of any custom nodes referenced by returned workflowsfalseincludeCustomNodes=true

Request Headers ​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example ​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/credentials/CREDENTIAL_ID/linkedResources

Successful Responses ​

CodeTypeDescription
200Credential Linked ResourcesLinked resource information

Error Responses ​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if credential was not found

Patch​

Updates information about a credential

Method And Url ​

PATCH https://api.app.wnology.io/applications/APPLICATION_ID/credentials/CREDENTIAL_ID

Authentication ​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, credential.*, or credential.patch.

Request Path Components ​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
CREDENTIAL_IDID associated with the credential575ec76c7ae143cd83dc4a96

Request Headers ​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body ​

The body of the request should be serialized JSON that validates against the Credential Patch schema. For example, the following would be a valid body for this request:

{
"enabled": true,
"azureConfig": {
"account": "my account",
"accountKey": "123abc"
}
}

Curl Example ​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"enabled":true,"azureConfig":{"account":"my account","accountKey":"123abc"}}' \
https://api.app.wnology.io/applications/APPLICATION_ID/credentials/CREDENTIAL_ID

Successful Responses ​

CodeTypeDescription
200CredentialUpdated credential information

Error Responses ​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if credential was not found

Schemas​

Credential​

Schema for a single Credential

Credential Schema​

  • ▶
    {} 5 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 28 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 3 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 1 key
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 4 keys
                                • ▶
                                  {} 3 keys
                                  • ▶
                                    {} 4 keys
                                    • ▶
                                      {} 4 keys
                                      • ▶
                                        {} 3 keys
                                        • ▶
                                          {} 4 keys
                                          • ▶
                                            {} 3 keys
                                            • ▶
                                              {} 4 keys
                                              • ▶
                                                {} 4 keys
                                                • ▶
                                                  {} 4 keys
                                                  • ▶
                                                    {} 3 keys
                                                    • ▶
                                                      {} 3 keys
                                                      • ▶
                                                        {} 4 keys
                                                        • ▶
                                                          {} 4 keys
                                                          • ▶
                                                            {} 3 keys
                                                            • ▶
                                                              {} 3 keys
                                                            • false
                                                            • ▶
                                                              [] 2 items

                                                            Credential Example​

                                                            • ▶
                                                              {} 12 keys
                                                              • "575ece2b7ae143cd83dc4a9b"
                                                              • "575ece2b7ae143cd83dc4a9c"
                                                              • "2016-06-13T04:00:00.000Z"
                                                              • "2016-06-13T04:00:00.000Z"
                                                              • "user"
                                                              • "575ece2b7ae143cd83dc4a9d"
                                                              • "user"
                                                              • "575ece2b7ae143cd83dc4a9d"
                                                              • "Dave"
                                                              • "azure"
                                                              • true
                                                              • ▶
                                                                {} 1 key

                                                              Credential Linked Resources​

                                                              The body of an credential linked resources response

                                                              Credential Linked Resources Schema​

                                                              • ▶
                                                                {} 4 keys
                                                                • "http://json-schema.org/draft-07/schema#"
                                                                • "object"
                                                                • ▶
                                                                  {} 3 keys
                                                                  • ▶
                                                                    {} 4 keys
                                                                    • ▶
                                                                      {} 4 keys
                                                                      • ▶
                                                                        {} 4 keys
                                                                      • false

                                                                    Credential Linked Resources Example​

                                                                    • ▶
                                                                      {} 3 keys
                                                                      • ▶
                                                                        {} 8 keys
                                                                        • ▶
                                                                          {} 8 keys
                                                                          • ▶
                                                                            {} 9 keys

                                                                          Credential Patch​

                                                                          Schema for a Credential update request

                                                                          Credential Patch Schema​

                                                                          • ▶
                                                                            {} 4 keys
                                                                            • "http://json-schema.org/draft-07/schema#"
                                                                            • "object"
                                                                            • ▶
                                                                              {} 19 keys
                                                                              • ▶
                                                                                {} 3 keys
                                                                                • ▶
                                                                                  {} 2 keys
                                                                                  • ▶
                                                                                    {} 1 key
                                                                                    • ▶
                                                                                      {} 3 keys
                                                                                      • ▶
                                                                                        {} 3 keys
                                                                                        • ▶
                                                                                          {} 3 keys
                                                                                          • ▶
                                                                                            {} 3 keys
                                                                                            • ▶
                                                                                              {} 3 keys
                                                                                              • ▶
                                                                                                {} 3 keys
                                                                                                • ▶
                                                                                                  {} 3 keys
                                                                                                  • ▶
                                                                                                    {} 3 keys
                                                                                                    • ▶
                                                                                                      {} 3 keys
                                                                                                      • ▶
                                                                                                        {} 3 keys
                                                                                                        • ▶
                                                                                                          {} 3 keys
                                                                                                          • ▶
                                                                                                            {} 3 keys
                                                                                                            • ▶
                                                                                                              {} 3 keys
                                                                                                              • ▶
                                                                                                                {} 3 keys
                                                                                                                • ▶
                                                                                                                  {} 3 keys
                                                                                                                  • ▶
                                                                                                                    {} 3 keys
                                                                                                                  • false

                                                                                                                Credential Patch Example​

                                                                                                                • ▶
                                                                                                                  {} 2 keys
                                                                                                                  • true
                                                                                                                  • ▶
                                                                                                                    {} 2 keys

                                                                                                                  Error​

                                                                                                                  Schema for errors returned by the API

                                                                                                                  Error Schema​

                                                                                                                  • ▶
                                                                                                                    {} 3 keys
                                                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                                                    • "object"
                                                                                                                    • ▶
                                                                                                                      {} 2 keys
                                                                                                                      • ▶
                                                                                                                        {} 1 key
                                                                                                                        • ▶
                                                                                                                          {} 1 key

                                                                                                                      Error Example​

                                                                                                                      • ▶
                                                                                                                        {} 2 keys
                                                                                                                        • "NotFound"
                                                                                                                        • "Application was not found"

                                                                                                                      Success​

                                                                                                                      Schema for reporting a successful operation

                                                                                                                      Success Schema​

                                                                                                                      • ▶
                                                                                                                        {} 3 keys
                                                                                                                        • "http://json-schema.org/draft-07/schema#"
                                                                                                                        • "object"
                                                                                                                        • ▶
                                                                                                                          {} 1 key
                                                                                                                          • ▶
                                                                                                                            {} 2 keys

                                                                                                                        Success Example​

                                                                                                                        • ▶
                                                                                                                          {} 1 key
                                                                                                                          • true

                                                                                                                        Was this page helpful?


                                                                                                                        Still looking for help? You can also search the WEGnology Forums or submit your question there.